PANEL_HIDDEN(3) | Library Functions Manual | PANEL_HIDDEN(3)

# NAME

`hide_panel`, `show_panel`, `panel_hidden` —
visibility of panels

# LIBRARY

Z-order for curses windows (libpanel, -lpanel)

# SYNOPSIS

`#include <panel.h>`

int
`hide_panel`(PANEL *p);

int
`show_panel`(PANEL *p);

int
`panel_hidden`(PANEL *p);

# DESCRIPTION

Panels are initially created visible. The function `hide_panel`() can be used to hide a panel. The panel is removed from the deck.

A panel can be made visible again with a call to `show_panel`(). The panel is returned to the top of the deck.

The current visibility status of a panel can be queried with `panel_hidden`().

# IMPLEMENTATION NOTES

The `show_panel`() function will return an error if the panel is already visible. Use top_panel(3) to change z-order of an already visible panel. This is the behaviour specified by the original AT&T System V UNIX panel library.

In the ncurses implementation of the panel library `show_panel`() and `top_panel`() are identical and handle both visible and hidden panels. This may be a source of bugs in programs tested only against ncurses.

# RETURN VALUES

The `panel_hidden`() function returns `TRUE` or `FALSE`. It will return `ERR` if passed a null pointer.

Other functions will return one of the following values:

`OK`
  The function completed successfully.
`ERR`
  An error occurred in the function.

# SEE ALSO

panel(3)

October 28, 2015 | NetBSD 9.2